use super::migration::{Migrations, SimpleMigration};

macro_rules! include_file_migration {
    ($mig_version:expr, $mig_name:literal) => {
        SimpleMigration::new_box(
            $mig_version,
            include_str!(concat!($mig_name, "-up.sql")),
            include_str!(concat!($mig_name, "-down.sql")),
        )
    };
}

pub fn create_migrations() -> Migrations {
    let mut migs = Migrations::new();
    migs.add(include_file_migration!(1, "0001-table_sections"));
    migs.add(include_file_migration!(2, "0002-section_rows"));
    migs.add(include_file_migration!(3, "0003-table_programs"));
    migs.add(include_file_migration!(4, "0004-program_rows"));
    migs.add(include_file_migration!(5, "0005-view_program_sequence"));
    migs.add(include_file_migration!(6, "0006-fix_view_program_seq"));
    // INSERT MIGRATION ABOVE -- DO NOT EDIT THIS COMMENT
    migs
}